<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: URL list XML parsing</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>URL list XML parsing</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga0">discover_xml_get_urls</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga1">discover_xml_free_urls</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga2">discover_xml_get_data_urls</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="group__types.html#ga17">discover_filetype_t</a> filetype, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga3">discover_xml_free_data_urls</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga4">discover_xml_url_new</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga5">discover_xml_url_copy</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *src, <a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *dst)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga6">discover_xml_url_get_url</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga7">discover_xml_url_get_label</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga8">discover_xml_url_get_bus</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga9">discover_xml_url_get_type</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga10">discover_xml_url_get_next</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga11">discover_xml_url_get_last</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *url)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__url__xml.html#ga12">discover_xml_url_free</a> (<a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *urls)</td></tr>

</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="ga3" doxytag="url-xml.c::discover_xml_free_data_urls"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_free_data_urls           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free the list of data URLs. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00310">310</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00157">BUS_COUNT</a>, and <a class="el" href="url-xml_8c-source.html#l00444">discover_xml_url_free()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga1" doxytag="url-xml.c::discover_xml_free_urls"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_free_urls           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free the list of URLs. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00244">244</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
References <a class="el" href="url-xml_8c-source.html#l00444">discover_xml_url_free()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga2" doxytag="url-xml.c::discover_xml_get_data_urls"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_xml_get_data_urls           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga16">discover_bus_t</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>bus</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="group__types.html#ga17">discover_filetype_t</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>filetype</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the list of data URLs, based on the bus type and type of data required.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>bus</em>&nbsp;</td><td>Bus in question </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>filetype</em>&nbsp;</td><td>Type of file (vendor, busclass, or device) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00261">261</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="conf_8c-source.html#l00666">discover_conf_get_bus_name()</a>, <a class="el" href="conf_8c-source.html#l00682">discover_conf_get_filetype_name()</a>, <a class="el" href="group__types.html#gga15a21">DISCOVER_EDATANOTFOUND</a>, <a class="el" href="url-xml_8c-source.html#l00182">discover_xml_get_urls()</a>, <a class="el" href="url-xml_8c-source.html#l00349">discover_xml_url_copy()</a>, and <a class="el" href="url-xml_8c-source.html#l00326">discover_xml_url_new()</a>.
<p>
Referenced by <a class="el" href="busclass-xml_8c-source.html#l00213">discover_xml_get_busclasses()</a>, <a class="el" href="device-xml_8c-source.html#l00484">discover_xml_get_devices()</a>, and <a class="el" href="vendor-xml_8c-source.html#l00215">discover_xml_get_vendors()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga0" doxytag="url-xml.c::discover_xml_get_urls"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_xml_get_urls           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>status</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the list of URLs from which bus and device data will be retrieved.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00182">182</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="conf_8c-source.html#l00599">discover_conf_get_urls()</a>, <a class="el" href="group__types.html#gga15a16">DISCOVER_EIO</a>, <a class="el" href="group__types.html#gga15a17">DISCOVER_EXML</a>, and <a class="el" href="url-xml_8c-source.html#l00444">discover_xml_url_free()</a>.
<p>
Referenced by <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga5" doxytag="url-xml.c::discover_xml_url_copy"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_url_copy           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>dst</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Copy a URL structure.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>src</em>&nbsp;</td><td>Copy from (source) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dst</em>&nbsp;</td><td>Copy to (destination) </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00349">349</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
Referenced by <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga12" doxytag="url-xml.c::discover_xml_url_free"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_xml_url_free           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>urls</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free the URL or list of URLs.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>urls</em>&nbsp;</td><td>URL or list of URLs to free </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00444">444</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00650">discover_conf_free()</a>, <a class="el" href="url-xml_8c-source.html#l00310">discover_xml_free_data_urls()</a>, <a class="el" href="url-xml_8c-source.html#l00244">discover_xml_free_urls()</a>, and <a class="el" href="url-xml_8c-source.html#l00182">discover_xml_get_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga8" doxytag="url-xml.c::discover_xml_url_get_bus"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_url_get_bus           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the bus member of URL. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00398">398</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga7" doxytag="url-xml.c::discover_xml_url_get_label"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_url_get_label           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the label member of url. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00387">387</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga11" doxytag="url-xml.c::discover_xml_url_get_last"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_xml_url_get_last           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the last member of url. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00431">431</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga10" doxytag="url-xml.c::discover_xml_url_get_next"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_xml_url_get_next           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the next member of url. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00420">420</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
Referenced by <a class="el" href="busclass-xml_8c-source.html#l00213">discover_xml_get_busclasses()</a>, <a class="el" href="device-xml_8c-source.html#l00484">discover_xml_get_devices()</a>, and <a class="el" href="vendor-xml_8c-source.html#l00215">discover_xml_get_vendors()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga9" doxytag="url-xml.c::discover_xml_url_get_type"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_url_get_type           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the type member of url. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00409">409</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga6" doxytag="url-xml.c::discover_xml_url_get_url"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_xml_url_get_url           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>url</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the url member of url. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00376">376</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
Referenced by <a class="el" href="busclass-xml_8c-source.html#l00213">discover_xml_get_busclasses()</a>, <a class="el" href="device-xml_8c-source.html#l00484">discover_xml_get_devices()</a>, and <a class="el" href="vendor-xml_8c-source.html#l00215">discover_xml_get_vendors()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga4" doxytag="url-xml.c::discover_xml_url_new"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_xml_url_new           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Create and initialize a new (empty) URL structure. 
<p>
Definition at line <a class="el" href="url-xml_8c-source.html#l00326">326</a> of file <a class="el" href="url-xml_8c-source.html">url-xml.c</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00599">discover_conf_get_urls()</a>, and <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
